/*******************************************************************************
* File Name: Level.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Level_H) /* Pins Level_H */
#define CY_PINS_Level_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Level_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Level__PORT == 15 && ((Level__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Level_Write(uint8 value) ;
void    Level_SetDriveMode(uint8 mode) ;
uint8   Level_ReadDataReg(void) ;
uint8   Level_Read(void) ;
uint8   Level_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Level_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Level_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Level_DM_RES_UP          PIN_DM_RES_UP
#define Level_DM_RES_DWN         PIN_DM_RES_DWN
#define Level_DM_OD_LO           PIN_DM_OD_LO
#define Level_DM_OD_HI           PIN_DM_OD_HI
#define Level_DM_STRONG          PIN_DM_STRONG
#define Level_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Level_MASK               Level__MASK
#define Level_SHIFT              Level__SHIFT
#define Level_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Level_PS                     (* (reg8 *) Level__PS)
/* Data Register */
#define Level_DR                     (* (reg8 *) Level__DR)
/* Port Number */
#define Level_PRT_NUM                (* (reg8 *) Level__PRT) 
/* Connect to Analog Globals */                                                  
#define Level_AG                     (* (reg8 *) Level__AG)                       
/* Analog MUX bux enable */
#define Level_AMUX                   (* (reg8 *) Level__AMUX) 
/* Bidirectional Enable */                                                        
#define Level_BIE                    (* (reg8 *) Level__BIE)
/* Bit-mask for Aliased Register Access */
#define Level_BIT_MASK               (* (reg8 *) Level__BIT_MASK)
/* Bypass Enable */
#define Level_BYP                    (* (reg8 *) Level__BYP)
/* Port wide control signals */                                                   
#define Level_CTL                    (* (reg8 *) Level__CTL)
/* Drive Modes */
#define Level_DM0                    (* (reg8 *) Level__DM0) 
#define Level_DM1                    (* (reg8 *) Level__DM1)
#define Level_DM2                    (* (reg8 *) Level__DM2) 
/* Input Buffer Disable Override */
#define Level_INP_DIS                (* (reg8 *) Level__INP_DIS)
/* LCD Common or Segment Drive */
#define Level_LCD_COM_SEG            (* (reg8 *) Level__LCD_COM_SEG)
/* Enable Segment LCD */
#define Level_LCD_EN                 (* (reg8 *) Level__LCD_EN)
/* Slew Rate Control */
#define Level_SLW                    (* (reg8 *) Level__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Level_PRTDSI__CAPS_SEL       (* (reg8 *) Level__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Level_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Level__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Level_PRTDSI__OE_SEL0        (* (reg8 *) Level__PRTDSI__OE_SEL0) 
#define Level_PRTDSI__OE_SEL1        (* (reg8 *) Level__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Level_PRTDSI__OUT_SEL0       (* (reg8 *) Level__PRTDSI__OUT_SEL0) 
#define Level_PRTDSI__OUT_SEL1       (* (reg8 *) Level__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Level_PRTDSI__SYNC_OUT       (* (reg8 *) Level__PRTDSI__SYNC_OUT) 


#if defined(Level__INTSTAT)  /* Interrupt Registers */

    #define Level_INTSTAT                (* (reg8 *) Level__INTSTAT)
    #define Level_SNAP                   (* (reg8 *) Level__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Level_H */


/* [] END OF FILE */
