#include <project.h>

uint8 DMA_Chan;
uint8 DMA_TD[1];

#define DMA_BYTES_PER_BURST 2
#define DMA_REQUEST_PER_BURST 1
#define DMA_SRC_BASE (CYDEV_PERIPH_BASE)
#define DMA_DST_BASE (CYDEV_SRAM_BASE)

uint16 signalLevel = 0x0000;
uint16 lastRssi = 0x0000;

int main()
{
    CyGlobalIntEnable; /* Enable global interrupts. */
   
    DMA_Chan = DMA_DmaInitialize(DMA_BYTES_PER_BURST, DMA_REQUEST_PER_BURST, HI16(DMA_SRC_BASE), HI16(DMA_DST_BASE));
    DMA_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_TD[0], 2, DMA_TD[0], 0);
    CyDmaTdSetAddress(DMA_TD[0], LO16((uint32)ADC_SAR_WRK0_PTR), LO16((uint32)signalLevel));
    CyDmaChSetInitialTd(DMA_Chan, DMA_TD[0]);
    CyDmaChEnable(DMA_Chan, 1);
    ADC_Start();
    ADC_StartConvert();

    for(;;)
    {
       CyDelay(1);
       lastRssi = signalLevel;
    }
}

/* [] END OF FILE */
